<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
        <p-panel>
            <p-header>
                Form Minat
            </p-header>
    
            <div class="modal-body">
                <div class="form-group">
                    <label jhiTranslate="mpmApp.communicationEventProspect.product" for="field_product">Product</label>
                    <select class="form-control" id="field_product" name="product" (change)="selectMotor(true)" [(ngModel)]="communicationEventProspect.productId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors">{{motorOption.idProduct}} - {{motorOption.description}} - {{motorOption.name}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label jhiTranslate="mpmApp.communicationEventProspect.color" for="field_color">Color</label>
                    <select class="form-control" id="field_color" name="color" [(ngModel)]="communicationEventProspect.colorId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features">{{featureOption.refKey}} - {{featureOption.description}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label mandatory" jhiTranslate="mpmApp.communicationEventProspect.qty" for="field_qty">Qty</label>
                    <div class="row">
                        <div class="col-md-11">
                            <input type="text" class="form-control" name="quantity" id="field_quantity" maxlength="4" [(ngModel)]="communicationEventProspect.qty" jhiNumbers/>
                        </div>
                        <div class="col-md-1" style="padding-top:10px">
                            <label class="form-control-label">Unit</label>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label jhiTranslate="mpmApp.communicationEventProspect.saleType" for="field_saleType">Sale Type</label>
                    <select class="form-control" id="field_saleType" name="saleType" [(ngModel)]="communicationEventProspect.saleTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="saleTypeOption.idSaleType" *ngFor="let saleTypeOption of saletypes">{{saleTypeOption.description}}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label class="form-control-label mandatory" for="field_purchasePlan">Rencana Pembelian</label>
                    <select class="form-control" id="field_purchasePlan" name="purchasePlan" [(ngModel)]="communicationEventProspect.purchasePlan">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="purchaseplan.value" *ngFor="let purchaseplan of purchasePlans">{{purchaseplan.label}}</option>
                </div>
            
                <div class="form-group">
                    <label>Catatan</label>
                    <textarea pInputTextarea class="form-control" id="field_note" name="note" [(ngModel)]="communicationEventProspect.note"></textarea>
                </div>
            </div>
        
            <p-footer>
                <button pButton type="button" (click)="previousState()"
                    label="{{'entity.action.cancel' | translate}}" 
                    icon="fa-ban"
                    class="ui-button-danger flat-label-button">
                </button>
                <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving || disableInterestForm()"
                    label="{{'entity.action.save' | translate}}" 
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </p-footer>
        </p-panel>
    </form>    